Any idea why Neovim would say `inappropriate ioctl for device` on the following script run via github cli?

This page summarizes the projects mentioned and recommended in the original post on reddit.com/r/bash

Our great sponsors
  • JetBrains - Developer Ecosystem Survey 2022
  • Scout APM - Less time debugging, more time building
  • SonarLint - Deliver Cleaner and Safer Code - Right in Your IDE of Choice!
  • cli

    GitHub’s official command line tool

    github cli https://github.com/cli/cli/releases/tag/v2.0.0 has just got a nice new feature that it can run scripts, including bash scripts. For example I can install https://github.com/mislav/gh-branch/blob/main/gh-branch and switch Git branches with gh branch\ in the terminal, but when run as an external command in the neovim command line `!gh branch` it gives the error in the title.

  • gh-branch

    GitHub CLI extension for fuzzy finding, quickly switching between and deleting branches.

    github cli https://github.com/cli/cli/releases/tag/v2.0.0 has just got a nice new feature that it can run scripts, including bash scripts. For example I can install https://github.com/mislav/gh-branch/blob/main/gh-branch and switch Git branches with gh branch\ in the terminal, but when run as an external command in the neovim command line `!gh branch` it gives the error in the title.

  • JetBrains

    Developer Ecosystem Survey 2022. Take part in the Developer Ecosystem Survey 2022 by JetBrains and get a chance to win a Macbook, a Nvidia graphics card, or other prizes. We’ll create an infographic full of stats, and you’ll get personalized results so you can compare yourself with other developers.

NOTE: The number of mentions on this list indicates mentions on common posts plus user suggested alternatives. Hence, a higher number means a more popular project.

Suggest a related project

Related posts